Get Fit, Get Paid
=================

Welcome to Get Fit, Get Paid.  By now you've probably heard about how awesome it is, and want to get involved.  Thanks to the magic that is Python + Django, it's easy for you to get started.

### Step 1
Make sure that you have following packages installed:

* pip
* virtualenv
* virtualenvwrapper (makes your life easier)
* brew

### Step 2
Create a new environment and get it setup with the requirements file.

	brew install memcached
	brew install libmemcached
	mkvirutalenv gfgp
	workon gfgp
	pip install -r requirements.txt

### Step 3
Set up your gfgp.db Sqlite file.

	# In the root directory of your clone.
	sqlite3 gfg.db
	.tables
	.q

### Step 4
Set up your local_settings.py.  Drop it in the get_fit_get_paid sub-directory.

	DEBUG = True
	TEMPLATE_DEBUG = DEBUG

	DATABASES = {
	    'default': {
	        'ENGINE': 'django.db.backends.sqlite3', # Add 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
	        'NAME': 'gfgp.db',                      # Or path to database file if using sqlite3.
	        'USER': '',                      # Not used with sqlite3.
	        'PASSWORD': '',                  # Not used with sqlite3.
	        'HOST': '',                      # Set to empty string for localhost. Not used with sqlite3.
	        'PORT': '',                      # Set to empty string for default. Not used with sqlite3.
	    }
	}

	CACHES = {}

### Step 5
Sync the db and run the migrations (after your settings are good)

	python manage.py validate
	python manage.py syncdb
	python manage.py migrate

### Step 6
Let 'er rip.
	
	python manage runserver

### Step 7
You might want some data pre-populated.  Go to http://127.0.0.1:8000/update/13123adfasdfasdf123123asdfasdfoiuoiu098098asfdiu to perform the sync from DailyMile.  And yes, it will take a few minutes to do.