# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import DataMigration
from django.db import models

class Migration(DataMigration):

    def forwards(self, orm):
        friends = orm.Friend.objects.all()
        for f in friends:
            f.large_photo_url = f.photo_url.replace("avatar", "profile")
            f.save()

    def backwards(self, orm):
        pass


    models = {
        'front_end.friend': {
            'Meta': {'object_name': 'Friend'},
            'display_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'exclude': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'large_photo_url': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'photo_url': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'user_name': ('django.db.models.fields.CharField', [], {'max_length': '75'})
        },
        'front_end.iteration': {
            'Meta': {'object_name': 'Iteration'},
            'current': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'end_time': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'start_time': ('django.db.models.fields.DateTimeField', [], {})
        },
        'front_end.last_update': {
            'Meta': {'object_name': 'Last_Update'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_update_time': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'front_end.workout': {
            'Meta': {'object_name': 'Workout'},
            'dailymile_id': ('django.db.models.fields.IntegerField', [], {}),
            'date': ('django.db.models.fields.DateField', [], {}),
            'distance': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'felt': ('django.db.models.fields.CharField', [], {'max_length': '30'}),
            'friend': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['front_end.Friend']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iteration': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['front_end.Iteration']"}),
            'message': ('django.db.models.fields.TextField', [], {}),
            'workout_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['front_end.Workout_Type']"})
        },
        'front_end.workout_type': {
            'Meta': {'object_name': 'Workout_Type'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'point_value': ('django.db.models.fields.DecimalField', [], {'max_digits': '10', 'decimal_places': '8'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '25'})
        }
    }

    complete_apps = ['front_end']
    symmetrical = True
